Anonymous Login
2018-12-15 13:35 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001576OpenClonkObjectspublic2016-05-22 16:36
ReporterSven2 
Assigned ToMarky 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformVisual C++ 2008OSWindowsOS Version 
Product Version 
Target Version8.0Fixed in Versiongit master 
Summary0001576: Trees reproduce into caves
DescriptionTrees seem to grow into caves a lot. In fact they reproduce more into caves than elsewhere.

A few pixels of underground material shouldn't block tree reproduction (so digging away a few pixels off the ground doesn't kill all future trees), but they should only grow where they will find sky background above (without material inbetween).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004524

Sven2 (developer)

It's not critical so I'll push it to a future release.

~0005089

Armin (reporter)

Maybe not the final solution but relevant:
https://git.openclonk.org/openclonk.git/commit/8d4f6399aaa2924a27a7e66ab68c7cb913fd1150
https://git.openclonk.org/openclonk.git/commit/e12dce093aa35f52fabf92569b596b1f3623c982

And I remember someone saying that PlaceVegetation() itself has maybe a bug.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-10 14:44 Sven2 New Issue
2016-01-10 16:14 Sven2 Target Version 7.0 => 7.1 (Bugfix update)
2016-01-10 16:14 Sven2 Note Added: 0004524
2016-01-10 16:14 Sven2 Target Version 7.1 (Bugfix update) => 8.0
2016-05-01 18:53 Armin Note Added: 0005089
2016-05-22 16:36 Maikel Status new => resolved
2016-05-22 16:36 Maikel Fixed in Version => git master
2016-05-22 16:36 Maikel Resolution open => fixed
2016-05-22 16:36 Maikel Assigned To => Marky
+Issue History